/*
 * clock.h
 *
 *  Created on: Mar 26, 2026
 *      Author: ewars
 */

#ifndef INC_CLOCK_H_
#define INC_CLOCK_H_

#include <stdint-gcc.h>
#include "ds1307.h"

// functions from lower layer
void clock_InitModule(void);
void clock_update(ds1307_dev_t *ds1307_dev);



// functions from service layer
uint8_t clock_convert_hours(uint8_t hours);
uint8_t clock_convert_min_sec(uint8_t min_sec);

void clock_LedOffset(uint8_t offset);

void clock_setColourHours(uint8_t r, uint8_t g, uint8_t b);
void clock_setColourMinutes(uint8_t r, uint8_t g, uint8_t b);
void clock_setColourSeconds(uint8_t r, uint8_t g, uint8_t b);
void clock_setColourBackground(uint8_t r, uint8_t g, uint8_t b);



#endif /* INC_CLOCK_H_ */
